Debian Squeeze vServer auf Debian Lenny XEN Hostsystem

Heute war ich zu Gast auf einem Debian Lenny Xen Hostsystem, auf dem ein Debian Squeeze vServer installiert werden musste. Standardmäßig können dies die xen-tools (z.B. das Script xen-create-image) aus dem Lenny Zweig nicht, aber um dies doch zu schaffen bedarf es nur weniger Anpassungen: /usr/lib/xen-tools/debian.d/20-setup-apt - Hier muss ziemlich weit unten bei case "${dist}" ... Weiterlesen

Debian 6.0 Squeeze ist da - ein dist-upgrade Bericht

Heute ist das neue Debian Squeeze erschienen. Da dieser Blog auf einem Debian Server betrieben wird, habe ich aus Spaß auch gleich einen dist-upgrade auf diese neue Version durchgeführt. Vorab stellte ich zu meiner Freude fest, dass MySQL endlich auf 5.1 und PHP auf Version 5.3 aktualisiert wurde. Beide Systeme sind schon so lange auf ... Weiterlesen

Debian Etch PHP mysqli Extension

Sollte PHP unter Debian Etch ohne mysqli Support laufen hat das meistens den selben Grund. Das Paket php5-mysqli wird nicht mehr extra geführt sondern mit dem Paket php5-mysql als AllInOne installiert. Jedoch ist als Standard nur der mysql Support aktiviert. Falls nun die mysqli.so Extension nicht geladen ist, genügt meist eine einzige neue Datei /etc/php5/cgi/conf.d/mysqli.ini ... Weiterlesen

404 Not Found Debian etch apt-get update

Seit einiger Zeit wurde Debian Etch auf das Debian Archive verschoben. http://security.debian.org http://ftp2.de.debian.org oder http://ftp.de.debian.org sind daher keine gültigen Quellen mehr. Um weiterhin die .deb Pakete herunterladen zu können muss die Datei /etc/apt/sources.list so aussehen: deb http://archive.debian.org/debian-archive/debian/ etch main contrib non-free deb http://archive.debian.org/debian-archive/debian-volatile/ etch/volatile main deb http://archive.debian.org/debian-archive/debian-security/ etch/updates main contrib non-free

apt-get / aptitude Problem GPG error: NO_PUBKEY

Die letzte Zeit gab es auf Debian Systemen (vorwiegend Debian Etch) beim ausführen von "apt-get update" immer wieder einen Fehler dieser Art: W: GPG error: http://security.debian.org etch/updates Release: Die folgenden Signaturen konnten nicht überprüft werden, weil ihr öffentlicher Schlüssel nicht verfügbar ist: NO_PUBKEY 9AA38DCD55BE302B W: GPG error: http://ftp2.de.debian.org etch Release: Die folgenden Signaturen konnten nicht ... Weiterlesen